Debian Bug report logs - #537000
hs-plugins: FTBFS: hlibrary.setup: hscolour version >=1.8 is required but it could not be found.

version graph

Package: hs-plugins; Maintainer for hs-plugins is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 14 Jul 2009 14:22:07 UTC

Severity: serious

Found in version 1.4.1-2

Fixed in version hs-plugins/1.4.1-3

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>:
Bug#537000; Package hs-plugins. (Tue, 14 Jul 2009 14:22:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>. (Tue, 14 Jul 2009 14:22:17 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: hs-plugins: FTBFS: hlibrary.setup: hscolour version >=1.8 is required but it could not be found.
Date: Tue, 14 Jul 2009 09:25:39 -0400
Package: hs-plugins
Version: 1.4.1-2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20090713 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
>  /usr/bin/fakeroot debian/rules binary
> test -x debian/rules
> dh_testroot
> dh_clean -k 
> dh_installdirs -A 
> mkdir -p "."
> if test -e /usr/share/misc/config.guess ; then \
> 		for i in ./config.guess ; do \
> 			if ! test -e $i.cdbs-orig ; then \
> 				mv $i $i.cdbs-orig ; \
> 				cp --remove-destination /usr/share/misc/config.guess $i ; \
> 			fi ; \
> 		done ; \
> 	fi
> if test -e /usr/share/misc/config.sub ; then \
> 		for i in ./config.sub ; do \
> 			if ! test -e $i.cdbs-orig ; then \
> 				mv $i $i.cdbs-orig ; \
> 				cp --remove-destination /usr/share/misc/config.sub $i ; \
> 			fi ; \
> 		done ; \
> 	fi
> dh_installdirs -phs-plugins-doc 
> mv dist-ghc6 dist
> [ ! -x /usr/bin/haddock ] || debian/hlibrary.setup haddock --hyperlink-source
> hlibrary.setup: hscolour version >=1.8 is required but it could not be found.
> make: *** [haddock] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/07/13/hs-plugins_1.4.1-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Tags added: pending Request was from Joachim Breitner <nomeata@debian.org> to control@bugs.debian.org. (Tue, 14 Jul 2009 19:54:03 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Tue, 08 Sep 2009 23:15:08 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 08 Sep 2009 23:15:10 GMT) Full text and rfc822 format available.

Message #12 received at 537000-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 537000-close@bugs.debian.org
Subject: Bug#537000: fixed in hs-plugins 1.4.1-3
Date: Tue, 08 Sep 2009 22:38:02 +0000
Source: hs-plugins
Source-Version: 1.4.1-3

We believe that the bug you reported is fixed in the latest version of
hs-plugins, which is due to be installed in the Debian FTP archive:

hs-plugins-doc_1.4.1-3_all.deb
  to pool/main/h/hs-plugins/hs-plugins-doc_1.4.1-3_all.deb
hs-plugins_1.4.1-3.diff.gz
  to pool/main/h/hs-plugins/hs-plugins_1.4.1-3.diff.gz
hs-plugins_1.4.1-3.dsc
  to pool/main/h/hs-plugins/hs-plugins_1.4.1-3.dsc
libghc6-plugins-dev_1.4.1-3_amd64.deb
  to pool/main/h/hs-plugins/libghc6-plugins-dev_1.4.1-3_amd64.deb
libghc6-plugins-prof_1.4.1-3_amd64.deb
  to pool/main/h/hs-plugins/libghc6-plugins-prof_1.4.1-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 537000@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated hs-plugins package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 08 Sep 2009 22:24:15 +0200
Source: hs-plugins
Binary: libghc6-plugins-dev libghc6-plugins-prof hs-plugins-doc
Architecture: source all amd64
Version: 1.4.1-3
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 hs-plugins-doc - API documentation of the Haskell plugins library
 libghc6-plugins-dev - Dynamically Loaded Haskell Modules
 libghc6-plugins-prof - Dynamically Loaded Haskell Modules; profiling libraries
Closes: 537000 542624
Changes: 
 hs-plugins (1.4.1-3) unstable; urgency=low
 .
   [ Marco TĂșlio Gontijo e Silva ]
   * debian/control: Use one package for line in dependencies.
   * debian/rules: Make build depend only in build-arch to avoid building
     indep packages in all architectures.
 .
   [ Joachim Breitner ]
   * Depend on hscolour in Build-Depends-Indep, fixes FTBFS (does not affect
     binNMUs, so no hurry needed) (Closes: #537000)
   * Use newest cdbs, to be able to use build docs in build-indep and
     still be buildd-friendly
 .
   [ Marco TĂșlio Gontijo e Silva ]
   * debian/control: Use more sintetic name for Vcs-Darcs.
 .
   [ Iain Lane ]
   * debian/rules: Do not install .haddock file in -doc package.
     haskell-devscripts now installs these in -dev packages, but we did not
     take into account the fact that hs-plugins installs the doc package
     manually and so the same file was available in both packages, which led to
     file conflicts and uninstallability. (Closes: #542624)
   * debian/control: Add Vcs-Browser
 .
   [ Joachim Breitner ]
   * Bump standards version (no change)
Checksums-Sha1: 
 14b5ace8caa0531087fab27ec840f8f46d778fae 1587 hs-plugins_1.4.1-3.dsc
 8132d16c6b11ea26748766bda0a6dcbc0d6de007 6953 hs-plugins_1.4.1-3.diff.gz
 36137485201aa1c228285ce8ed1fecb77dec8036 261186 hs-plugins-doc_1.4.1-3_all.deb
 e8e4a862b854fcd7845a1527247344f0f1b6125b 287074 libghc6-plugins-dev_1.4.1-3_amd64.deb
 05a581bd0037911679f12f68b4aa25555ec81609 273016 libghc6-plugins-prof_1.4.1-3_amd64.deb
Checksums-Sha256: 
 018f885581a69c91d4bf8e46ce89a91b0ca042d27edc217eaaa88dc430e5f68b 1587 hs-plugins_1.4.1-3.dsc
 1365b5b0171c7453a1efa8aacabbb27028ab87135baea32d82f60f2c1d923321 6953 hs-plugins_1.4.1-3.diff.gz
 d497022bef12b6cc09719736d8aad918cd89b714ae555042ba90ace6926bb55d 261186 hs-plugins-doc_1.4.1-3_all.deb
 120049f1497db2429542c705253319a928e3ed4812041f4040e4bae504eec80e 287074 libghc6-plugins-dev_1.4.1-3_amd64.deb
 4eaa30fae139cc4efc504bd69f4aff641c6c8244c35f74d06a4309321a122fa3 273016 libghc6-plugins-prof_1.4.1-3_amd64.deb
Files: 
 0b475b0d6a0764cf2d28daca4bc41ca6 1587 haskell optional hs-plugins_1.4.1-3.dsc
 8f57646a86f37ce99bc3cd6e71623c09 6953 haskell optional hs-plugins_1.4.1-3.diff.gz
 08be28bc2a31f69ad74f7205f0482265 261186 doc optional hs-plugins-doc_1.4.1-3_all.deb
 18a16465e6402004f6d5ea17801c898f 287074 haskell optional libghc6-plugins-dev_1.4.1-3_amd64.deb
 40d430e4bf443f15e07720a07136f806 273016 haskell optional libghc6-plugins-prof_1.4.1-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkqmv8EACgkQ9ijrk0dDIGwAqgCgpb2zNEtM238W8bW38CvVYGQx
ImEAn3bUW+iRsFiAPqWaveM08WxwU+g7
=cEU6
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 07 Oct 2009 07:28:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:15:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.